Bug 16842 - [3.4/4.0 Regression] mkheaders can not find mkheaders.conf
[3.4/4.0 Regression] mkheaders can not find mkheaders.conf
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: other
3.4.1
: P2 minor
: 3.4.2
Assigned To: Andrew Pinski
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-31 09:04 UTC by Andreas Almroth
Modified: 2004-10-30 21:10 UTC (History)
1 user (show)

See Also:
Host: i386-pc-solaris2.9
Target: i386-pc-solaris2.9
Build: i386-pc-solaris2.9
Known to work: 3.4.2 4.0.0
Known to fail: 3.4.1 3.4.0
Last reconfirmed: 2004-08-01 00:43:28


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Almroth 2004-07-31 09:04:18 UTC
The mkheaders script does not find the mkheaders.conf file, because it is using
an incorrect path to the conf file.
My build uses $prefix/lib/gcc/... instead of in the older releases
$prefix/lib/gcc-lib/..., so the $prefix/libexec/.../mkheaders tries to read
using the old path.

So I changed the 

libsubdir=${libdir}/gcc-lib/${target_noncanonical}/${version}

line in libexec/gcc/i386-pc-solaris2.9/3.4.1/install-tools/mkheaders to

libsubdir=${libdir}/gcc/${target_noncanonical}/${version}

and it seems to work alright.
Comment 1 Andrew Pinski 2004-08-01 00:43:28 UTC
Confirmed, fixing.
Comment 2 CVS Commits 2004-08-01 00:44:45 UTC
Subject: Bug 16842

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	pinskia@gcc.gnu.org	2004-08-01 00:44:43

Modified files:
	gcc            : ChangeLog mkheaders.in 

Log message:
	2004-07-31  Andrew Pinski  <apinski@apple.com>
	
	PR other/16842
	* mkheaders.in (libsubdir): s/gcc-lib/gcc/.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=2.4751&r2=2.4752
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/mkheaders.in.diff?cvsroot=gcc&r1=1.3&r2=1.4

Comment 3 CVS Commits 2004-08-01 00:45:15 UTC
Subject: Bug 16842

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_4-branch
Changes by:	pinskia@gcc.gnu.org	2004-08-01 00:45:13

Modified files:
	gcc            : ChangeLog mkheaders.in 

Log message:
	2004-07-31  Andrew Pinski  <apinski@apple.com>
	
	PR other/16842
	* mkheaders.in (libsubdir): s/gcc-lib/gcc/.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=2.2326.2.571&r2=2.2326.2.572
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/mkheaders.in.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.3&r2=1.3.10.1

Comment 4 Andrew Pinski 2004-08-01 00:45:19 UTC
Fixed in both 3.4.2 and 3.5.0